spec:
  inputs:
    release_description: 
      default: "Release version $CI_COMMIT_TITLE of components repository $CI_PROJECT_PATH"
---
stages: 
  - test
  - release

.ensure-job-added:
  stage: test
  image: badouralix/curl-jq
  script:
    - route="${CI_API_V4_URL}/projects/$CI_PROJECT_ID/pipelines/$CI_PIPELINE_ID/jobs"
    - echo "looking for $JOB at $route "
    - |
      count=`curl $route | jq '.[] | select(.name == "$JOB") | length' | wc -l | cut -d ' ' -f1`
      if [ "$count" != "1" ]; then
        exit 1; else
        echo "Component's job $JOB is present"
      fi
  variables:
    JOB: ""

create-release:
  stage: release
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $CI_COMMIT_TITLE =~ /^\d+(\.\d+){0,2}$/ #tag must follow versioning format : X.X.X
  script: echo "Creating release $CI_COMMIT_TITLE" #TO REWORK WITH TAGS ?
  dependencies:
    - ensure-job-added
  release:
    tag_name: $CI_COMMIT_TITLE
    description: $[[ inputs.release_description ]]
